## networking-l2gw 16.0.0

=== debian/changelog ===
networking-l2gw (1:16.0.0-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-ussuri.infomaniak.ch>  Wed, 20 May 2020 19:41:08 +0000

networking-l2gw (1:16.0.0-1) unstable; urgency=medium

  * Move the package to the neutron-plugins Salsa subgroup.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 May 2020 21:37:00 +0200

networking-l2gw (1:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:42:29 +0200

networking-l2gw (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:04:06 +0200

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-mock,
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient,
 python3-os-testr,
 python3-oslosphinx,
 python3-oslotest,
 python3-ovsdbapp,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw.git
Homepage: http://neutron.openstack.org/

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient,
 python3-ovsdbapp,
 python3-pbr,
 python3-psycopg2,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-l2gw,
Replaces:
 python-networking-l2gw,
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

## networking-l2gw 16.0.1~git2020100916.37f190c

=== debian/changelog ===
networking-l2gw (1:16.0.1~git2020100916.37f190c-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Oct 2020 22:23:37 +0000

networking-l2gw (1:16.0.1~git2020100916.37f190c-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 16.x series and get tarballs from opendev.org.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:28:32 -0400

networking-l2gw (1:16.0.1~git2020070614.1d17654-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 14:01:13 -0400

networking-l2gw (1:16.0.0~git2020051415.30f4209-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 15:29:10 -0400

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.7.5),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Homepage: https://opendev.org/openstack/networking-l2gw

Package: networking-l2gw-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides shared configuration files.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 networking-l2gw-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Replaces:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Layer 2 gateway extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.opendev.org/openstack/networking-l2gw networking-l2gw-(16\.\d.*)\.tar\.gz

## networking-l2gw 17.0.1

=== debian/changelog ===
networking-l2gw (1:17.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS (Closes: #973212).
  * Fix (build-)depends for this release.
  * Fix all upstream URLs to point to the new opendev.org repo.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 09:09:43 +0100

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-neutron (>= 2:17.0.0~),
 python3-neutron-lib (>= 1.0.0),
 python3-neutronclient,
 python3-os-testr,
 python3-oslosphinx,
 python3-oslotest,
 python3-ovsdbapp (>= 0.17.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pytest,
 python3-requests-mock,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw.git
Homepage: https://opendev.org/x/networking-l2gw

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 python3-neutron (>= 2:17.0.0~),
 python3-neutron-lib (>= 2.0.0),
 python3-neutronclient,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-psycopg2 (>= 2.8.5),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-l2gw,
Replaces:
 python-networking-l2gw,
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

## networking-l2gw 18.0.0

=== debian/changelog ===
networking-l2gw (1:18.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Apr 2021 07:33:59 +0000

networking-l2gw (1:18.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track 17.x series.
  * d/watch: Track 18.x series and scope to tarballs.opendev.org/x.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:44:58 -0400

## networking-l2gw 18.0.0+git2021120909.6872c3b

=== debian/changelog ===
networking-l2gw (1:18.0.0+git2021120909.6872c3b-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:34:02 -0500

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 debianutils,
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.7.5),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 vim,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Homepage: https://opendev.org/openstack/networking-l2gw

Package: networking-l2gw-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides shared configuration files.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 networking-l2gw-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.29.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Replaces:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Layer 2 gateway extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.opendev.org/x/networking-l2gw/ networking-l2gw-(18\.\d.*)\.tar\.gz

## networking-l2gw 18.0.0+git2022100517.fbebe30

=== debian/changelog ===
networking-l2gw (1:18.0.0+git2022100517.fbebe30-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Oct 2022 22:06:14 +0000

networking-l2gw (1:18.0.0+git2022100517.fbebe30-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:21:21 -0400

networking-l2gw (1:18.0.0+git2022091215.ebac466-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:21:34 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -39,9 +39,9 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
+ python3-webtest,
  vim,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
 Homepage: https://opendev.org/openstack/networking-l2gw

## networking-l2gw 19.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=4.0.0 # Apache-2.0
neutron-lib>=2.0.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
ovsdbapp>=0.17.0 # Apache-2.0
neutron>=16.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-l2gw (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 14:37:48 +0100

networking-l2gw (1:18.0.0+git2022.08.15.fbebe30031-1) unstable; urgency=medium

  * New upstream release:
    - Fix unit testing & FTBFS (Closes: #1022305).
  * Add python3-webtest as build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 10:08:56 +0200

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-neutron (>= 2:17.0.0~),
 python3-neutron-lib (>= 1.0.0),
 python3-neutronclient,
 python3-os-testr,
 python3-oslosphinx,
 python3-oslotest,
 python3-ovsdbapp (>= 0.17.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pytest,
 python3-requests-mock,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw.git
Homepage: https://opendev.org/x/networking-l2gw

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 python3-neutron (>= 2:17.0.0~),
 python3-neutron-lib (>= 2.0.0),
 python3-neutronclient,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-psycopg2 (>= 2.8.5),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-l2gw,
Replaces:
 python-networking-l2gw,
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/networking-l2gw
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in ${PYTHON3S}; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_l2gw.tests.unit.*'
endif
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## networking-l2gw 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=4.0.0 # Apache-2.0
-neutron-lib>=2.0.0 # Apache-2.0
-python-neutronclient>=6.7.0 # Apache-2.0
-ovsdbapp>=0.17.0 # Apache-2.0
-neutron>=16.0.0 # Apache-2.0
+neutron-lib>=3.1.0 # Apache-2.0
+python-neutronclient>=7.8.0 # Apache-2.0
+ovsdbapp>=1.16.0 # Apache-2.0
+neutron>=21.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-l2gw (1:20.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090443).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:51:02 +0100

networking-l2gw (1:20.0.0-2) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:48:08 +0200

networking-l2gw (1:20.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #1054754).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 10:45:58 +0100

networking-l2gw (1:19.0.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1048988).
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:39:17 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,6 @@
 Depends:
  python3-networking-l2gw (= ${binary:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack virtual network service - L2 gateway agent
  Neutron provides an API to dynamically request and configure virtual networks.

## networking-l2gw 20.0.0+git2024030809.c556d24d

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 pbr>=4.0.0 # Apache-2.0
 neutron-lib>=3.1.0 # Apache-2.0
 python-neutronclient>=7.8.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:20.0.0+git2024030809.c556d24d-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:08:20 +0000

networking-l2gw (1:20.0.0+git2024020808.efab5e7a-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 09:49:00 +0000

networking-l2gw (1:20.0.0-0ubuntu1) mantic; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:22:35 -0400

networking-l2gw (1:19.0.0+git2023092015.20542bf0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Sep 2023 15:58:48 -0400

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 debianutils,
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-neutron (>= 2:21.0.0),
 python3-neutron-lib (>= 3.1.0),
 python3-neutronclient (>= 1:7.8.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 1.16.0),
 python3-pbr (>= 4.0.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.7.6),
 python3-pytest (>= 5.3.5),
 python3-requests-mock (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
 vim,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Homepage: https://opendev.org/openstack/networking-l2gw

Package: networking-l2gw-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides shared configuration files.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 networking-l2gw-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-neutron (>= 2:21.0.0),
 python3-neutron-lib (>= 3.1.0),
 python3-neutronclient (>= 1:7.8.0),
 python3-ovsdbapp (>= 1.16.0),
 python3-pbr (>= 4.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Replaces:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Layer 2 gateway extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.opendev.org/x/networking-l2gw/ networking-l2gw-(\d.*)\.tar\.gz

## networking-l2gw 20.0.0+git2025011511.c3e7ebc

=== debian/changelog ===
networking-l2gw (1:20.0.0+git2025011511.c3e7ebc-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies

 -- Myles <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:11:59 +0000

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,9 @@
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
 Build-Depends-Indep:
- debianutils,
  python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-hacking (>= 0.12.0),
- python3-mock (>= 2.0.0),
  python3-neutron (>= 2:21.0.0),
  python3-neutron-lib (>= 3.1.0),
  python3-neutronclient (>= 1:7.8.0),

## networking-l2gw 21.0.0

=== debian/changelog ===
networking-l2gw (1:21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Apr 2025 11:26:20 +0200

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid (>= 2.15.8),
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 1.0.0),
 python3-neutronclient,
 python3-os-testr,
 python3-oslosphinx,
 python3-oslotest,
 python3-ovsdbapp (>= 0.17.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pytest,
 python3-requests-mock,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-l2gw.git
Homepage: https://opendev.org/x/networking-l2gw

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 python3-neutron (>= 2:26.0.0~),
 python3-neutron-lib (>= 2.0.0),
 python3-neutronclient,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-psycopg2 (>= 2.8.5),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-l2gw,
Replaces:
 python-networking-l2gw,
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
-
-override_dh_clean:
-	dh_clean
-	rm -rf build
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info debian/neutron-l2gateway-agent.service debian/neutron-l2gateway-agent.init
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## networking-l2gw 21.0.0%2Bgit2025070714.1301419

=== debian/changelog ===
networking-l2gw (1:21.0.0+git2025070714.1301419-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 11:35:54 -0700

networking-l2gw (1:21.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 22:18:15 +0200

## networking-l2gw 21.0.0+git2025070714.1301419

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 neutron-lib>=3.1.0 # Apache-2.0
 python-neutronclient>=7.8.0 # Apache-2.0
 ovsdbapp>=1.16.0 # Apache-2.0
-neutron>=21.0.0 # Apache-2.0
+neutron>=26.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid (>= 2.15.8),
 python3-babel (>= 2.3.4),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-isort (>= 4.3.21),
 python3-neutron (>= 2:26.0.0),
 python3-neutron-lib (>= 3.1.0),
 python3-neutronclient (>= 1:7.8.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 1.16.0),
 python3-pbr (>= 4.0.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.7.6),
 python3-pytest (>= 5.3.5),
 python3-requests-mock (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
 vim,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-l2gw
Homepage: https://opendev.org/x/networking-l2gw

Package: networking-l2gw-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides shared configuration files.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 networking-l2gw-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-neutron (>= 2:26.0.0),
 python3-neutron-lib (>= 3.1.0),
 python3-neutronclient (>= 1:7.8.0),
 python3-ovsdbapp (>= 1.16.0),
 python3-pbr (>= 4.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Replaces:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Layer 2 gateway extension.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-networking-l2gw/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 networking_l2gw.tests.unit.*
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build .stestr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
